- Main Page
- Modules
- Data Structures
- Files
- Examples

- File List
- Globals

# apps/webclient/webclient.c File Reference

## Detailed Description

Implementation of the HTTP client.

Author:
  Adam Dunkels <adam@dunkels.com>

Definition in file webclient.c.

`#include "uip.h"`
`#include "uiplib.h"`
`#include "webclient.h"`
`#include "resolv.h"`
`#include <string.h>`

Go to the source code of this file.

## Defines
#define | WEBCLIENT_TIMEOUT 100
#define | WEBCLIENT_STATE_STATUSLINE 0
#define | WEBCLIENT_STATE_HEADERS 1
#define | WEBCLIENT_STATE_DATA 2
#define | WEBCLIENT_STATE_CLOSE 3
#define | HTTPFLAG_NONE 0
#define | HTTPFLAG_OK 1
#define | HTTPFLAG_MOVED 2
#define | HTTPFLAG_ERROR 3
#define | ISO_nl 0x0a
#define | ISO_cr 0x0d
#define | ISO_space 0x20
## Functions
char * | webclient_mimetype (void)
| Obtain the MIME type of the current HTTP data stream.
char * | webclient_filename (void)
| Obtain the filename of the current HTTP data stream.
char * | webclient_hostname (void)
| Obtain the hostname of the current HTTP data stream.
unsigned short | webclient_port (void)
| Obtain the port number of the current HTTP data stream.
void | webclient_init (void)
| Initialize the webclient module.
void | webclient_close (void)
| Close the currently open HTTP connection.
unsigned char | webclient_get (char *host, u16_t port, char *file)
| Open an HTTP connection to a web server and ask for a file using the GET method.
void | webclient_appcall (void)